GET Get Webhook Settings¶
This API retrieves global AI interview webhook settings configured for the company.
Request URL¶
GET /ai-interviews/settings/webhooks
Warning
Make sure to add your API key in the Header of the request using the key apiKey.
Response¶
{
"webhooks": {
"start": {
"status": true,
"url": "https://example.com/webhook/start"
},
"submission": {
"status": true,
"url": "https://example.com/webhook/submission"
},
"auth": {
"status": true,
"type": "basic",
"basic": {
"username": "webhook-user",
"password": null,
"hasPassword": true
},
"apikey": {
"header": null,
"apikey": null
}
}
}
}
Note
auth.basic.usernameis always a string (ornull). It is never an object.Stored passwords are never returned. When a password exists,
passwordisnullandhasPasswordistrue.